Oidc

Generated from Huudis's own code: every route in this area, what it takes and how to call it.

Method Path What it does
GET /api/v1/oidc/clients List clients
POST /api/v1/oidc/clients Create a client
DELETE /api/v1/oidc/clients/{id} Delete a client
PATCH /api/v1/oidc/clients/{id} Update a client
POST /api/v1/oidc/clients/{id}/rotate-secret Rotate secret a client

List clients

GET /api/v1/oidc/clients

Authentication: Takes a signed-in person's session or bearer token, or an IAM access key (Huudis-HMAC-SHA256) whose user's policies allow huudis:ListOidcClients. See access keys.

Example

curl -X GET "https://huudis.com/api/v1/oidc/clients" \
  -H "Authorization: Bearer <access token>"

Create a client

POST /api/v1/oidc/clients

Authentication: Takes a signed-in person's session or bearer token, or an IAM access key (Huudis-HMAC-SHA256) whose user's policies allow huudis:CreateOidcClient. See access keys.

Body

Field Type Required Notes
name string yes min length 1; max length 120
redirectUris array of string (uri) no default []
scopes array of string no default ["openid","profile","email"]
public boolean no
logoUrl string (uri) no max length 500

Example

curl -X POST "https://huudis.com/api/v1/oidc/clients" \
  -H "Authorization: Bearer <access token>" \
  -H "Content-Type: application/json" \
  -d '{"name":"…","redirectUris":[],"scopes":["openid","profile","email"],"public":false,"logoUrl":"…"}'

Delete a client

DELETE /api/v1/oidc/clients/{id}

Authentication: Takes a signed-in person's session or bearer token, or an IAM access key (Huudis-HMAC-SHA256) whose user's policies allow huudis:DeleteOidcClient. See access keys.

Path parameters

Name Type Required Notes
id string yes

Example

curl -X DELETE "https://huudis.com/api/v1/oidc/clients/:id" \
  -H "Authorization: Bearer <access token>"

Update a client

PATCH /api/v1/oidc/clients/{id}

Authentication: Takes a signed-in person's session or bearer token, or an IAM access key (Huudis-HMAC-SHA256) whose user's policies allow huudis:UpdateOidcClient. See access keys.

Path parameters

Name Type Required Notes
id string yes

Body

Field Type Required Notes
name string no min length 1; max length 120
redirectUris array of string (uri) no
scopes array of string no
logoUrl string (uri) no max length 500; may be null

Example

curl -X PATCH "https://huudis.com/api/v1/oidc/clients/:id" \
  -H "Authorization: Bearer <access token>" \
  -H "Content-Type: application/json" \
  -d '{"name":"…","redirectUris":[],"scopes":[],"logoUrl":"…"}'

Rotate secret a client

POST /api/v1/oidc/clients/{id}/rotate-secret

Authentication: Takes a signed-in person's session or bearer token, or an IAM access key (Huudis-HMAC-SHA256) whose user's policies allow huudis:RotateOidcClientSecret. See access keys.

Path parameters

Name Type Required Notes
id string yes

Example

curl -X POST "https://huudis.com/api/v1/oidc/clients/:id/rotate-secret" \
  -H "Authorization: Bearer <access token>"
Huudis Docs · Oidc — reference | Huudis